<script setup lang="ts">
import { useAuthStore } from "@/stores/auth";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const authStore = useAuthStore();

const loginName = ref("");
const password = ref("");
const valid = ref(true);
const form = ref<InstanceType<typeof VForm> | null>(null);
const login = async () => {
  const { valid } = await form.value!.validate();
  if (valid) {
    authStore.login(loginName.value, password.value);
  }
};
const reset = () => {
  form.value?.reset();
};
</script>

<template>
  <v-app>
    <v-main class="main-full" app>
      <v-container fluid fill-height style="width: 100%; height: 100%;" class="d-flex justify-center align-center">
        <!-- <v-row align="center" justify="center" style="width: 100%; height: 100%;">
          <v-col align="center" justify="center" cols="12" sm="8" md="6" style="width: 100%;"> -->
            <v-card class="cardColor">
              <v-card-title primary-title class="text-center text-h6 font-weight-bold"><br>
                <label class="lbMain">Lazy Bunnies</label>
              </v-card-title>
              <br>
              <v-card-text>
                <v-form ref="form" v-model="valid">
                  <v-text-field style="margin: auto;" label="Username" v-model="loginName" :rules="[
                    (v) => !!v || 'Username is required',
                    (v) => v.length >= 4 || 'Username must be more than or equal 4 characters',
                  ]" required></v-text-field>
                  <v-text-field style="margin: auto;" label="Password" type="password" v-model="password"
                    :rules="[
                      (v) => !!v || 'Password is required',
                      (v) => (v && /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/.test(v)) || 'Minimum 8 characters, One capital latter, Special charater, Number',
                    ]" required></v-text-field>
                </v-form>
              </v-card-text>
              <v-card-actions class="justify-center">
                <v-btn size="x-large" color="success" @click="login"><label>Login</label></v-btn>
                <v-btn size="x-large" color="error" @click="reset"><label>Clear</label></v-btn>
              </v-card-actions>
            </v-card>
          <!-- </v-col>
        </v-row> -->
      </v-container>
    </v-main>
  </v-app>
</template>
<style scoped>

@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px !important;
  font-weight: bold;
}

.lbMain{
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 36px !important;
}

.cardColor {
  background-color: white !important;
  border-color: transparent !important;
  opacity: 0.9;
  margin: auto;
  width: 100%;
  height: 100%;
  max-width: 600px;
  max-height: 380px;
  /* min-width: min-content;
  min-height: min-content; */
}
.main-full {
    height: calc(100% - 64px);
    padding: 0;
    margin: 0;
    background: url('../assets/1.jpg');
    background-size: cover;
  }
</style>

